Package org.eclipse.jgit.api

## Class CheckoutResult

- java.lang.Object
- - org.eclipse.jgit.api.CheckoutResult

    public class CheckoutResult
    extends Object

Encapsulates the result of a `CheckoutCommand`

### Nested Class Summary

Nested Classes
`static class` `CheckoutResult.Status` The status

### Field Summary

Fields
`static CheckoutResult` `ERROR_RESULT` The `CheckoutResult.Status.ERROR` result;
`static CheckoutResult` `NOT_TRIED_RESULT` The `CheckoutResult.Status.NOT_TRIED` result;

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getConflictList()`
`List<String>` `getModifiedList()`
`List<String>` `getRemovedList()`
`CheckoutResult.Status` `getStatus()`
`List<String>` `getUndeletedList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR_RESULT

    public static final CheckoutResult ERROR_RESULT

The `CheckoutResult.Status.ERROR` result;

#### NOT_TRIED_RESULT

    public static final CheckoutResult NOT_TRIED_RESULT

The `CheckoutResult.Status.NOT_TRIED` result;

### Method Detail

#### getStatus

    public CheckoutResult.Status getStatus()

Returns:
  the status

#### getConflictList

    public List<String> getConflictList()

Returns:
  the list of files that created a checkout conflict, or an empty list if `getStatus()` is not `CheckoutResult.Status.CONFLICTS`;

#### getUndeletedList

    public List<String> getUndeletedList()

Returns:
  the list of files that could not be deleted during checkout, or an empty list if `getStatus()` is not `CheckoutResult.Status.NONDELETED`;

#### getModifiedList

    public List<String> getModifiedList()

Returns:
  the list of files that where modified during checkout, or an empty list if `getStatus()` is not `CheckoutResult.Status.OK`

#### getRemovedList

    public List<String> getRemovedList()

Returns:
  the list of files that where removed during checkout, or an empty list if `getStatus()` is not `CheckoutResult.Status.OK`